//
//  GLFilledCirclePlugIn.h
//  GLFilledCircle
//
//  Created by Hesam Ohadi on 6/8/11.
//  Copyright (c) 2011 Media Cast. All rights reserved.
//

#import <Quartz/Quartz.h>

@interface GLFilledCirclePlugIn : QCPlugIn
{
	}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/

/* Declare two property input ports of type "Number" and with the key "inputX" and "inputY" */
@property double inputX;
@property double inputY;
@property double inputZ;
@property double inputWidth;
@property double inputHeight;
@property double inputLineWidth;
@property BOOL inputFill;
@property NSUInteger inputSegments;

@property (assign) NSUInteger inputBlendMode;

/* Declare a property input port of type "Color" and with the key "inputColor" */
@property(assign) CGColorRef inputColor;


@end
